// ===========================================================================
// CONTENT  : CLASS AuthorizationCodeFlowAuthenticationResponse
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 11/10/2014
// HISTORY  :
//  11/10/2014  mdu  CREATED
//
// Copyright (c) 2014, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.oidc;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * Instances of this class are supposed to contain the response data of an
 * authentication executed with the OIDC "Authorization Code Flow".
 * <p>
 * (see OpenID Connect Core Specification 1.0, section 3.1.2.5. Successful Authentication Response)
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class AuthorizationCodeFlowAuthenticationResponse
{
  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================
  private String code;
  private String state;

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  public AuthorizationCodeFlowAuthenticationResponse()
  {
    super();
  }

  public AuthorizationCodeFlowAuthenticationResponse(String code)
  {
    this();
    this.setCode(code);
  }
  
  public AuthorizationCodeFlowAuthenticationResponse(String code, String state)
  {
    this(code);
    this.setState(state);
  }
  
  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================
  public String getCode()
  {
    return code;
  }

  public void setCode(String code)
  {
    this.code = code;
  }
  
  public String getState()
  {
    return state;
  }

  public void setState(String state)
  {
    this.state = state;
  }  
}
